package com.tofly.feesapi.bmgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bmgl.entity.BmSj;
import com.tofly.feesapi.bmgl.entity.dto.BmSjFilter;
import com.tofly.feesapi.bmgl.entity.dto.BmSjInsert;
import com.tofly.feesapi.bmgl.entity.dto.BmSjUpdate;
import com.tofly.feesapi.bmgl.entity.vo.BmSjSelect;
import com.tofly.feesapi.bmgl.entity.vo.BmSjView;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;


import java.util.List;

/**
 * 水价编码
 *
 */
public interface BmSjService extends IService<BmSj> {

    BmSjView getViewById(String code);

    boolean update(BmSjUpdate update);

    boolean delById(String code);

    boolean delByIds(List<String> codes);

    boolean save(BmSjInsert insert);

    PageResult<BmSjSelect> getPage(PageDto pageDto, BmSjFilter filter);

    List<BmSjSelect> getList(BmSjFilter filter);

    List<BmSjSelect> getList();

    List<BmSj> selectListMap();
}
